| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
Digikam::EffectMngr Class Reference

## Public Types
enum | EffectType { None = 0 , KenBurnsZoomIn , KenBurnsZoomOut , KenBurnsPanLR , KenBurnsPanRL , KenBurnsPanTB , KenBurnsPanBT , Random }
| See KEn Burns effect description: https://en.wikipedia.org/wiki/Ken_Burns_effect. More...

## Public Member Functions
QImage | currentFrame (int &tmout)
void | setEffect (EffectType eff)
void | setFrames (int ifrms)
void | setImage (const QImage &img)
void | setOutputSize (const QSize &size)

## Static Public Member Functions
static QMap< EffectType, QString > | effectNames ()

## Member Enumeration Documentation

## ◆ EffectType

enum Digikam::EffectMngr::EffectType

Enumerator
None | Static camera.